// UrsTimeSource.h
//
// Autor: http://UllisRoboterSeite.de
// Doku:  http://bienonline.magix.net/public/esp8266-UrsTime.html
// Created: 2017-10-07
//
// Version 1.0 (2017-10-07)
// - Basis-Version


#ifndef _URSTIMESOURCE_h
#define _URSTIMESOURCE_h

#include <Arduino.h>
#include <UrsTime.h>

enum class UrsTimeSourceState {
  success, // Eine Zeitabfrage wurde erfolgreich durchgefhrt
  timeout, // Zeitberschreitung bei der Abfrage
  error    // sonstiger Fehler, siehe abgeleitete Klasse
};

class UrsTimeSource {
protected:
  time_t current; // die letzte von doSyncTime ermittelte Zeit, Sekunden seit 1970

public:
    virtual UrsTimeSourceState loadTime() = 0; // Fhrt eine Zeit-Abfrage bei der Zeitquelle durch
    time_t getCurrent() { return current; }   // Liefert die zuletzt abgefragte Zeit
};

#endif

